Bug 906309 - (CVE-2013-0228) CVE-2013-0228 kernel: xen: userspace alterable %ds access in xen_iret()
CVE-2013-0228 kernel: xen: userspace alterable %ds access in xen_iret()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130213,repo...
: Security
Depends On: 906310 906311 910848
Blocks: 906319
  Show dependency treegraph
 
Reported: 2013-01-31 07:30 EST by Petr Matousek
Modified: 2015-08-19 05:19 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 09:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-01-31 07:30:16 EST
A flaw was found in the way xen_iret() used userspace alterable %ds. An unprivileged local guest user in the 32-bit PV Xen domain could use this flaw to crash the guest or, potentially, escalate their privileges.

Acknowledgements:

This issue was discovered by Andrew Jones of Red Hat.
Comment 3 Petr Matousek 2013-01-31 08:03:41 EST
Statement:

This issue did affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 6.

This issue did not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.
Comment 6 Petr Matousek 2013-02-13 11:57:19 EST
Public now via:

http://permalink.gmane.org/gmane.comp.security.oss.general/9371
Comment 7 Petr Matousek 2013-02-13 11:59:38 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 910848]
Comment 9 Fedora Update System 2013-02-24 03:37:18 EST
kernel-3.7.9-101.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-03-12 14:59:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0630 https://rhn.redhat.com/errata/RHSA-2013-0630.html

Note You need to log in before you can comment on or make changes to this bug.